@charset "utf-8";

.content {
  min-height: 100vh;
  padding: 60px 0;
  display: flex;
  justify-content: center;
}
.content .container {}

/* 리스트 */
.works-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  width: 100%;
}
.works-list .card {
  position: relative;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  border: 1px solid rgba(255, 255, 255, 0.4);
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.1);
  border-radius: 20px;
  overflow: hidden;
  transition: all 0.3s ease;
  cursor: pointer;
}
.works-list .card:hover {
  box-shadow: 0 0px 40px rgba(255, 255, 255, 0.3);
  transform: translateY(-5px);
}

/* 썸네일 */
.works-list .card .thumb {
  position: relative;
  width: 100%;
  aspect-ratio: 6.4 / 4.4;
  overflow: hidden;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.works-list .card:nth-child(2) .thumb {
  background-position: top;
}
.works-list .card .thumb .tag-wrap {
  position: absolute;
  top: 15px;
  left: 20px;
  display: flex;
  gap: 5px;
}
.works-list .card .thumb .tag-wrap .tag {
  background-color: #2659FF;
  color: #eee;
  font-size: 12px;
  padding: 5px 8px;
}

/* 호버 정보 */
.works-list .card .hover-info {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 40px 20px 15px 20px;
  background: linear-gradient(to top, rgba(0,0,0,0.9) 0%, rgba(0,0,0,0.3) 50%, transparent 100%);
  color: #eee;
  font-size: 14px;
  opacity: 0;
  transform: translateY(20px);
  transition: all 0.3s ease;
}
.works-list .card:hover .hover-info {
  opacity: 1;
  transform: translateY(0);
}
.works-list .card .hover-info p {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}


/* ====== Design Modal ====== */
.modal-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(30, 30, 30, 0.9);
  backdrop-filter: blur(10px);
  z-index: 999;
}
.design-modal-wrap {
  position: relative;
  width: 100%;
  height: 100vh;
  padding: 120px 0 0 0;
  overflow: hidden;

  display: flex;
  justify-content: center;
  gap: 30px;
}

/* 설명 */
.modal-left {
  padding-bottom: 100px;
  width: 30%;
  display: flex;
  flex-direction: column;
  gap: 25px;
  color: #fff;
}

.label-badge {
  display: inline-block;
  background: #2659FF;
  color: #fff;
  font-size: 18px;
  font-weight: 600;
  padding: 5px 10px;
  align-self: flex-start;
}

.title-area .sub-title {
  font-size: 30px;
  color: #eee;
}
.title-area .main-title {
  font-size: 42px;
  font-weight: 700;
  word-break: keep-all;
}

.title-area .desc {
  margin-top: 20px;
  font-size: 18px;
  line-height: 1.5;
  color: #eee;
  font-weight: 300;
  word-break: keep-all;
}

.info-grid {
  margin-top: auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.info-item {
  display: flex;
  align-items: center;
  gap: 30px;
}
.info-label {
  width: 100px;
  text-align: center;
  font-size: 18px;
  color: #eee;
  background-color: rgba(255, 255, 255, 0.1);
  border: 1px solid #ccc;
  padding: 5px 12px;
}
.info-content {
  font-size: 18px;
  color: #ccc;
  font-weight: 300;
  display: flex;
  gap: 10px;
}
.color-swatch {
  display: flex;
  gap: 8px;
}
.swatch {
  display: block;
  width: 30px;
  height: 30px;
  border: 1px solid rgba(255,255,255,0.2);
}

/* 이미지 */
.modal-right {
  width: 985px;
  overflow-y: auto;
}
.modal-right img {
  width: 100%;
  display: block;
}
.modal-right::-webkit-scrollbar {
  width: 10px;
}
.modal-right::-webkit-scrollbar-track {
  background: transparent;
}
.modal-right::-webkit-scrollbar-thumb {
  background-color: #2659FF;
  border-radius: 10px;
  border: 2px solid transparent;
  background-clip: content-box;
}
.modal-right::-webkit-scrollbar-thumb:hover {
  background-color: #40A8D3;
}

/* 닫기 버튼 */
.btn-close-design {
  position: absolute;
  top: 30px;
  right: 30px;
  width: 40px;
  height: 40px;
  background: #2659FF;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.3s;
}
.btn-close-design:hover {
  transform: rotate(90deg);
}

/* go-top 버튼 */
.btn-go-top {
  display: none;
  position: fixed;
  bottom: 30px;
  right: 30px;
  width: 40px;
  height: 40px;
  background: #2659ff6e;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  z-index: 20;
  justify-content: center;
  align-items: center;
  transition: background 0.3s, transform 0.3s;
}

.btn-go-top:hover {
  background: #2659FF;
  transform: translateY(-3px);
}